Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util.functions
Class AggregateFunctionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.util.functions.AggregateFunctionTest

All Implemented Interfaces:
  junit.framework.Test

    public class AggregateFunctionTest

extends junit.framework.TestCase

Tests the AggregateFunction class.

Version:
  $Id: AggregateFunctionTest.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`AggregateFunctionTest()`

Method Summary
`void` | `testAggregateFunction()` Tests the aggregateFunction constructor without distinct returns the correct SQL.
`void` | `testAggregateFunctionWithDistinct()` Tests the aggregateFunction constructor with distinct returns the correct SQL.
`void` | `testGetColumnName()` Tests the getColumnName method always returns null.
`void` | `testGetFirstArgument()` Tests that getArgument(0) returns the column.
`void` | `testGetFullTableName()` Tests the getFullTableName method returns the fullTableName of the column argument.
`void` | `testGetSchemaName()` Tests the getSchemaName method returns the schema of the column argument.
`void` | `testGetSecondArgument()` Tests that getArgument(1) returns the distinct value.
`void` | `testGetSetArguments()` Tests that getArguments and SetArguments work
`void` | `testGetTableName()` Tests the getTableName method returns the table of the column argument.
`void` | `testGetThirdArgument()` Tests that getArgument(2) returns null.
`void` | `testSetColumnNull()` Tests that setColumn cannot be called with a null value.
`void` | `testSetFunction()` Tests that setFunction works

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregateFunctionTest

    public AggregateFunctionTest()

Method Detail

### testAggregateFunction

    public void testAggregateFunction()

  Tests the aggregateFunction constructor without distinct returns the correct SQL.

### testAggregateFunctionWithDistinct

    public void testAggregateFunctionWithDistinct()

  Tests the aggregateFunction constructor with distinct returns the correct SQL.

### testSetFunction

    public void testSetFunction()

  Tests that setFunction works

### testGetSetArguments

    public void testGetSetArguments()

  Tests that getArguments and SetArguments work

### testGetFirstArgument

    public void testGetFirstArgument()

  Tests that getArgument(0) returns the column.

### testGetSecondArgument

    public void testGetSecondArgument()

  Tests that getArgument(1) returns the distinct value.

### testGetThirdArgument

    public void testGetThirdArgument()

  Tests that getArgument(2) returns null.

### testSetColumnNull

    public void testSetColumnNull()

  Tests that setColumn cannot be called with a null value.

### testGetColumnName

    public void testGetColumnName()

  Tests the getColumnName method always returns null. This is because the function has no real column name.

### testGetTableName

    public void testGetTableName()

  Tests the getTableName method returns the table of the column argument.

### testGetFullTableName

    public void testGetFullTableName()

  Tests the getFullTableName method returns the fullTableName of the column argument.

### testGetSchemaName

    public void testGetSchemaName()

  Tests the getSchemaName method returns the schema of the column argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.